--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: departement; Type: TABLE; Schema: public; Owner: etudiant; Tablespace: 
--

CREATE TABLE departement (
    nom character varying(100) NOT NULL
);


ALTER TABLE public.departement OWNER TO etudiant;

--
-- Name: enseignant; Type: TABLE; Schema: public; Owner: etudiant; Tablespace: 
--

CREATE TABLE enseignant (
    nss character(15) NOT NULL,
    nom character varying(255) NOT NULL,
    prenom character varying(255) NOT NULL,
    departement character varying(100) NOT NULL
);


ALTER TABLE public.enseignant OWNER TO etudiant;

--
-- Name: enseigne; Type: TABLE; Schema: public; Owner: etudiant; Tablespace: 
--

CREATE TABLE enseigne (
    ue character varying(12) NOT NULL,
    enseignant character(15) NOT NULL,
    semestre character(5) NOT NULL
);


ALTER TABLE public.enseigne OWNER TO etudiant;

--
-- Name: etudiant; Type: TABLE; Schema: public; Owner: etudiant; Tablespace: 
--

CREATE TABLE etudiant (
    num integer NOT NULL,
    nom character varying(255) NOT NULL,
    prenom character varying(255) NOT NULL
);


ALTER TABLE public.etudiant OWNER TO etudiant;

--
-- Name: inscription; Type: TABLE; Schema: public; Owner: etudiant; Tablespace: 
--

CREATE TABLE inscription (
    ue character varying(12) NOT NULL,
    etudiant integer NOT NULL,
    semestre character(5) NOT NULL
);


ALTER TABLE public.inscription OWNER TO etudiant;

--
-- Name: note; Type: TABLE; Schema: public; Owner: etudiant; Tablespace: 
--

CREATE TABLE note (
    ue character varying(12) NOT NULL,
    etudiant integer NOT NULL,
    semestre character(5) NOT NULL,
    numero integer NOT NULL,
    valeur double precision NOT NULL
);


ALTER TABLE public.note OWNER TO etudiant;

--
-- Name: ue; Type: TABLE; Schema: public; Owner: etudiant; Tablespace: 
--

CREATE TABLE ue (
    code character varying(12) NOT NULL,
    titre character varying(255),
    description xml,
    departement character varying(100) NOT NULL
);


ALTER TABLE public.ue OWNER TO etudiant;

--
-- Data for Name: departement; Type: TABLE DATA; Schema: public; Owner: etudiant
--

INSERT INTO departement VALUES ('Informatique');
INSERT INTO departement VALUES ('Mathématiques');
INSERT INTO departement VALUES ('DEVU');


--
-- Data for Name: enseignant; Type: TABLE DATA; Schema: public; Owner: etudiant
--

INSERT INTO enseignant VALUES ('123123123123123', 'Altruiste', 'Alphonse', 'Informatique');
INSERT INTO enseignant VALUES ('234234234234234', 'Bonnenfant', 'Bernadette', 'Informatique');
INSERT INTO enseignant VALUES ('134534534534534', 'Cerebral', 'Cyrus', 'Informatique');
INSERT INTO enseignant VALUES ('245345345345345', 'Detaille', 'Dominique', 'Mathématiques');
INSERT INTO enseignant VALUES ('156456456456456', 'Etourdi', 'Edgar', 'Mathématiques');
INSERT INTO enseignant VALUES ('267567567567567', 'Fortiche', 'Fabienne', 'Mathématiques');
INSERT INTO enseignant VALUES ('167867867867867', 'Gourmand', 'Gérard', 'DEVU');


--
-- Data for Name: enseigne; Type: TABLE DATA; Schema: public; Owner: etudiant
--

INSERT INTO enseigne VALUES ('INF1001L', '123123123123123', '2010A');
INSERT INTO enseigne VALUES ('INF1001L', '234234234234234', '2011P');
INSERT INTO enseigne VALUES ('INF1002L', '134534534534534', '2010A');
INSERT INTO enseigne VALUES ('INF1002L', '134534534534534', '2011P');
INSERT INTO enseigne VALUES ('INF1003L', '123123123123123', '2010A');
INSERT INTO enseigne VALUES ('INF1003L', '123123123123123', '2011P');
INSERT INTO enseigne VALUES ('MAT1001L', '245345345345345', '2010A');
INSERT INTO enseigne VALUES ('MAT1001L', '156456456456456', '2011P');
INSERT INTO enseigne VALUES ('MAT1002L', '267567567567567', '2010A');
INSERT INTO enseigne VALUES ('MAT1002L', '245345345345345', '2011P');
INSERT INTO enseigne VALUES ('MAT1003L', '156456456456456', '2010A');
INSERT INTO enseigne VALUES ('MAT1003L', '267567567567567', '2011P');
INSERT INTO enseigne VALUES ('MAT1004L', '245345345345345', '2010A');
INSERT INTO enseigne VALUES ('MAT1004L', '156456456456456', '2011P');
INSERT INTO enseigne VALUES ('TVL1004L', '167867867867867', '2010A');
INSERT INTO enseigne VALUES ('TVL1004L', '167867867867867', '2011P');
INSERT INTO enseigne VALUES ('TVL1008L', '167867867867867', '2010A');
INSERT INTO enseigne VALUES ('TVL1008L', '167867867867867', '2011P');


--
-- Data for Name: etudiant; Type: TABLE DATA; Schema: public; Owner: etudiant
--

INSERT INTO etudiant VALUES (123456789, 'A-Lunette', 'Alain');
INSERT INTO etudiant VALUES (234567890, 'Beta', 'Bertrant');
INSERT INTO etudiant VALUES (345678901, 'Coquet', 'Celine');
INSERT INTO etudiant VALUES (456789012, 'Distrait', 'Damien');
INSERT INTO etudiant VALUES (567890123, 'Équilibriste', 'Evelyne');
INSERT INTO etudiant VALUES (678901234, 'Farceuse', 'Fernande');
INSERT INTO etudiant VALUES (789012345, 'Grognon', 'Grégoire');
INSERT INTO etudiant VALUES (890123456, 'Héroïque', 'Hélène');
INSERT INTO etudiant VALUES (901234567, 'Illustre', 'Isabeau');
INSERT INTO etudiant VALUES (134567890, 'Joueuse', 'Jeanne');


--
-- Data for Name: inscription; Type: TABLE DATA; Schema: public; Owner: etudiant
--

INSERT INTO inscription VALUES ('MAT1001L', 123456789, '2010A');
INSERT INTO inscription VALUES ('INF1001L', 123456789, '2010A');
INSERT INTO inscription VALUES ('TVL1004L', 123456789, '2010A');
INSERT INTO inscription VALUES ('MAT1002L', 123456789, '2010A');
INSERT INTO inscription VALUES ('MAT1001L', 234567890, '2010A');
INSERT INTO inscription VALUES ('INF1001L', 234567890, '2010A');
INSERT INTO inscription VALUES ('TVL1004L', 234567890, '2010A');
INSERT INTO inscription VALUES ('MAT1002L', 234567890, '2010A');
INSERT INTO inscription VALUES ('MAT1001L', 345678901, '2010A');
INSERT INTO inscription VALUES ('INF1001L', 345678901, '2010A');
INSERT INTO inscription VALUES ('TVL1004L', 345678901, '2010A');
INSERT INTO inscription VALUES ('MAT1002L', 345678901, '2010A');
INSERT INTO inscription VALUES ('MAT1001L', 456789012, '2010A');
INSERT INTO inscription VALUES ('INF1001L', 456789012, '2010A');
INSERT INTO inscription VALUES ('TVL1004L', 456789012, '2010A');
INSERT INTO inscription VALUES ('MAT1002L', 456789012, '2010A');
INSERT INTO inscription VALUES ('MAT1001L', 134567890, '2010A');
INSERT INTO inscription VALUES ('INF1001L', 134567890, '2010A');
INSERT INTO inscription VALUES ('TVL1004L', 134567890, '2010A');
INSERT INTO inscription VALUES ('MAT1002L', 134567890, '2010A');
INSERT INTO inscription VALUES ('MAT1001L', 567890123, '2011P');
INSERT INTO inscription VALUES ('INF1001L', 567890123, '2011P');
INSERT INTO inscription VALUES ('TVL1004L', 567890123, '2011P');
INSERT INTO inscription VALUES ('MAT1002L', 567890123, '2011P');
INSERT INTO inscription VALUES ('MAT1001L', 678901234, '2011P');
INSERT INTO inscription VALUES ('INF1001L', 678901234, '2011P');
INSERT INTO inscription VALUES ('TVL1004L', 678901234, '2011P');
INSERT INTO inscription VALUES ('MAT1002L', 678901234, '2011P');
INSERT INTO inscription VALUES ('MAT1001L', 789012345, '2011P');
INSERT INTO inscription VALUES ('INF1001L', 789012345, '2011P');
INSERT INTO inscription VALUES ('TVL1004L', 789012345, '2011P');
INSERT INTO inscription VALUES ('MAT1002L', 789012345, '2011P');
INSERT INTO inscription VALUES ('MAT1001L', 890123456, '2011P');
INSERT INTO inscription VALUES ('INF1001L', 890123456, '2011P');
INSERT INTO inscription VALUES ('TVL1004L', 890123456, '2011P');
INSERT INTO inscription VALUES ('MAT1002L', 890123456, '2011P');
INSERT INTO inscription VALUES ('MAT1001L', 901234567, '2011P');
INSERT INTO inscription VALUES ('INF1001L', 901234567, '2011P');
INSERT INTO inscription VALUES ('TVL1004L', 901234567, '2011P');
INSERT INTO inscription VALUES ('MAT1002L', 901234567, '2011P');
INSERT INTO inscription VALUES ('MAT1001L', 234567890, '2011P');
INSERT INTO inscription VALUES ('INF1001L', 234567890, '2011P');
INSERT INTO inscription VALUES ('TVL1004L', 234567890, '2011P');
INSERT INTO inscription VALUES ('MAT1002L', 234567890, '2011P');
INSERT INTO inscription VALUES ('MAT1004L', 123456789, '2011P');
INSERT INTO inscription VALUES ('MAT1003L', 123456789, '2011P');
INSERT INTO inscription VALUES ('INF1002L', 123456789, '2011P');
INSERT INTO inscription VALUES ('INF1003L', 123456789, '2011P');
INSERT INTO inscription VALUES ('TVL1008L', 123456789, '2011P');
INSERT INTO inscription VALUES ('MAT1004L', 345678901, '2011P');
INSERT INTO inscription VALUES ('MAT1003L', 345678901, '2011P');
INSERT INTO inscription VALUES ('INF1002L', 345678901, '2011P');
INSERT INTO inscription VALUES ('INF1003L', 345678901, '2011P');
INSERT INTO inscription VALUES ('TVL1008L', 345678901, '2011P');
INSERT INTO inscription VALUES ('MAT1004L', 456789012, '2011P');
INSERT INTO inscription VALUES ('MAT1003L', 456789012, '2011P');
INSERT INTO inscription VALUES ('INF1002L', 456789012, '2011P');
INSERT INTO inscription VALUES ('INF1003L', 456789012, '2011P');
INSERT INTO inscription VALUES ('TVL1008L', 456789012, '2011P');
INSERT INTO inscription VALUES ('MAT1004L', 134567890, '2011P');
INSERT INTO inscription VALUES ('MAT1003L', 134567890, '2011P');
INSERT INTO inscription VALUES ('INF1002L', 134567890, '2011P');
INSERT INTO inscription VALUES ('INF1003L', 134567890, '2011P');
INSERT INTO inscription VALUES ('TVL1008L', 134567890, '2011P');


--
-- Data for Name: note; Type: TABLE DATA; Schema: public; Owner: etudiant
--

INSERT INTO note VALUES ('MAT1001L', 123456789, '2010A', 1, 18.6658739671111107);
INSERT INTO note VALUES ('MAT1001L', 123456789, '2010A', 2, 18.8116298895329237);
INSERT INTO note VALUES ('MAT1001L', 123456789, '2010A', 3, 15.6513006705790758);
INSERT INTO note VALUES ('INF1001L', 123456789, '2010A', 1, 10.4296355694532394);
INSERT INTO note VALUES ('INF1001L', 123456789, '2010A', 2, 11.1063607968389988);
INSERT INTO note VALUES ('INF1001L', 123456789, '2010A', 3, 19.4218028616160154);
INSERT INTO note VALUES ('TVL1004L', 123456789, '2010A', 1, 11.7621631640940905);
INSERT INTO note VALUES ('TVL1004L', 123456789, '2010A', 2, 10.4323763260617852);
INSERT INTO note VALUES ('TVL1004L', 123456789, '2010A', 3, 13.3480746345594525);
INSERT INTO note VALUES ('MAT1002L', 123456789, '2010A', 1, 10.5364532070234418);
INSERT INTO note VALUES ('MAT1002L', 123456789, '2010A', 2, 18.0721561424434185);
INSERT INTO note VALUES ('MAT1002L', 123456789, '2010A', 3, 19.0288947289809585);
INSERT INTO note VALUES ('MAT1001L', 345678901, '2010A', 1, 12.7413338515907526);
INSERT INTO note VALUES ('MAT1001L', 345678901, '2010A', 2, 18.7018898967653513);
INSERT INTO note VALUES ('MAT1001L', 345678901, '2010A', 3, 19.4767963234335184);
INSERT INTO note VALUES ('INF1001L', 345678901, '2010A', 1, 14.4890578370541334);
INSERT INTO note VALUES ('INF1001L', 345678901, '2010A', 2, 14.0959287993609905);
INSERT INTO note VALUES ('INF1001L', 345678901, '2010A', 3, 15.9870478510856628);
INSERT INTO note VALUES ('TVL1004L', 345678901, '2010A', 1, 15.4994376935064793);
INSERT INTO note VALUES ('TVL1004L', 345678901, '2010A', 2, 12.7618027664721012);
INSERT INTO note VALUES ('TVL1004L', 345678901, '2010A', 3, 14.7986777406185865);
INSERT INTO note VALUES ('MAT1002L', 345678901, '2010A', 1, 11.1507383640855551);
INSERT INTO note VALUES ('MAT1002L', 345678901, '2010A', 2, 13.1914383359253407);
INSERT INTO note VALUES ('MAT1002L', 345678901, '2010A', 3, 15.9050385374575853);
INSERT INTO note VALUES ('MAT1001L', 456789012, '2010A', 1, 10.5725412303581834);
INSERT INTO note VALUES ('MAT1001L', 456789012, '2010A', 2, 14.9536015000194311);
INSERT INTO note VALUES ('MAT1001L', 456789012, '2010A', 3, 16.3374148681759834);
INSERT INTO note VALUES ('INF1001L', 456789012, '2010A', 1, 13.9206158649176359);
INSERT INTO note VALUES ('INF1001L', 456789012, '2010A', 2, 15.4900547070428729);
INSERT INTO note VALUES ('INF1001L', 456789012, '2010A', 3, 14.4095710106194019);
INSERT INTO note VALUES ('TVL1004L', 456789012, '2010A', 1, 12.9495105938985944);
INSERT INTO note VALUES ('TVL1004L', 456789012, '2010A', 2, 13.1893005268648267);
INSERT INTO note VALUES ('TVL1004L', 456789012, '2010A', 3, 10.2039476064965129);
INSERT INTO note VALUES ('MAT1002L', 456789012, '2010A', 1, 16.6531844204291701);
INSERT INTO note VALUES ('MAT1002L', 456789012, '2010A', 2, 19.7000077413395047);
INSERT INTO note VALUES ('MAT1002L', 456789012, '2010A', 3, 15.5216104025021195);
INSERT INTO note VALUES ('MAT1001L', 134567890, '2010A', 1, 10.9027105430141091);
INSERT INTO note VALUES ('MAT1001L', 134567890, '2010A', 2, 18.9867495652288198);
INSERT INTO note VALUES ('MAT1001L', 134567890, '2010A', 3, 16.0561961773782969);
INSERT INTO note VALUES ('INF1001L', 134567890, '2010A', 1, 11.9267483660951257);
INSERT INTO note VALUES ('INF1001L', 134567890, '2010A', 2, 10.9756608959287405);
INSERT INTO note VALUES ('INF1001L', 134567890, '2010A', 3, 13.3695220900699496);
INSERT INTO note VALUES ('TVL1004L', 134567890, '2010A', 1, 15.0009550713002682);
INSERT INTO note VALUES ('TVL1004L', 134567890, '2010A', 2, 13.7169947475194931);
INSERT INTO note VALUES ('TVL1004L', 134567890, '2010A', 3, 12.0714119868353009);
INSERT INTO note VALUES ('MAT1002L', 134567890, '2010A', 1, 14.4777513947337866);
INSERT INTO note VALUES ('MAT1002L', 134567890, '2010A', 2, 18.2060525845736265);
INSERT INTO note VALUES ('MAT1002L', 134567890, '2010A', 3, 16.1673407861962914);
INSERT INTO note VALUES ('MAT1001L', 234567890, '2011P', 1, 10.4647992458194494);
INSERT INTO note VALUES ('MAT1001L', 234567890, '2011P', 2, 13.7054902780801058);
INSERT INTO note VALUES ('MAT1001L', 234567890, '2011P', 3, 18.9291435526683927);
INSERT INTO note VALUES ('INF1001L', 234567890, '2011P', 1, 15.2634769910946488);
INSERT INTO note VALUES ('INF1001L', 234567890, '2011P', 2, 14.8562286468222737);
INSERT INTO note VALUES ('INF1001L', 234567890, '2011P', 3, 12.1205818885937333);
INSERT INTO note VALUES ('TVL1004L', 234567890, '2011P', 1, 11.1685155285522342);
INSERT INTO note VALUES ('TVL1004L', 234567890, '2011P', 2, 15.4287698771804571);
INSERT INTO note VALUES ('TVL1004L', 234567890, '2011P', 3, 17.0741833886131644);
INSERT INTO note VALUES ('MAT1002L', 234567890, '2011P', 1, 17.5059303967282176);
INSERT INTO note VALUES ('MAT1002L', 234567890, '2011P', 2, 19.349385742098093);
INSERT INTO note VALUES ('MAT1002L', 234567890, '2011P', 3, 12.5642380956560373);
INSERT INTO note VALUES ('MAT1004L', 123456789, '2011P', 1, 11.9155014073476195);
INSERT INTO note VALUES ('MAT1004L', 123456789, '2011P', 2, 12.2988963359966874);
INSERT INTO note VALUES ('MAT1004L', 123456789, '2011P', 3, 15.7535386271774769);
INSERT INTO note VALUES ('MAT1003L', 123456789, '2011P', 1, 12.1194490138441324);
INSERT INTO note VALUES ('MAT1003L', 123456789, '2011P', 2, 18.9520807564258575);
INSERT INTO note VALUES ('MAT1003L', 123456789, '2011P', 3, 15.4535463685169816);
INSERT INTO note VALUES ('INF1002L', 123456789, '2011P', 1, 17.6410594210028648);
INSERT INTO note VALUES ('INF1002L', 123456789, '2011P', 2, 19.8547912994399667);
INSERT INTO note VALUES ('INF1002L', 123456789, '2011P', 3, 14.4402959337458014);
INSERT INTO note VALUES ('INF1003L', 123456789, '2011P', 1, 13.6972555983811617);
INSERT INTO note VALUES ('INF1003L', 123456789, '2011P', 2, 11.7815396701917052);
INSERT INTO note VALUES ('INF1003L', 123456789, '2011P', 3, 15.415956829674542);
INSERT INTO note VALUES ('TVL1008L', 123456789, '2011P', 1, 17.0667776884511113);
INSERT INTO note VALUES ('TVL1008L', 123456789, '2011P', 2, 16.7824947414919734);
INSERT INTO note VALUES ('TVL1008L', 123456789, '2011P', 3, 19.1329515771940351);
INSERT INTO note VALUES ('MAT1004L', 345678901, '2011P', 1, 19.1381896799430251);
INSERT INTO note VALUES ('MAT1004L', 345678901, '2011P', 2, 11.26024613622576);
INSERT INTO note VALUES ('MAT1004L', 345678901, '2011P', 3, 17.3390041617676616);
INSERT INTO note VALUES ('MAT1003L', 345678901, '2011P', 1, 15.3055304661393166);
INSERT INTO note VALUES ('MAT1003L', 345678901, '2011P', 2, 11.7250453820452094);
INSERT INTO note VALUES ('MAT1003L', 345678901, '2011P', 3, 11.0444944445043802);
INSERT INTO note VALUES ('INF1002L', 345678901, '2011P', 1, 14.2346740234643221);
INSERT INTO note VALUES ('INF1002L', 345678901, '2011P', 2, 16.9885223731398582);
INSERT INTO note VALUES ('INF1002L', 345678901, '2011P', 3, 15.900723091326654);
INSERT INTO note VALUES ('INF1003L', 345678901, '2011P', 1, 16.3552559120580554);
INSERT INTO note VALUES ('INF1003L', 345678901, '2011P', 2, 18.1570379063487053);
INSERT INTO note VALUES ('INF1003L', 345678901, '2011P', 3, 11.3294929685071111);
INSERT INTO note VALUES ('TVL1008L', 345678901, '2011P', 1, 13.4294393053278327);
INSERT INTO note VALUES ('TVL1008L', 345678901, '2011P', 2, 15.6629683030769229);
INSERT INTO note VALUES ('TVL1008L', 345678901, '2011P', 3, 10.6788787106052041);
INSERT INTO note VALUES ('MAT1004L', 456789012, '2011P', 1, 15.99367740098387);
INSERT INTO note VALUES ('MAT1004L', 456789012, '2011P', 2, 17.5784697150811553);
INSERT INTO note VALUES ('MAT1004L', 456789012, '2011P', 3, 12.9777750466018915);
INSERT INTO note VALUES ('MAT1003L', 456789012, '2011P', 1, 11.7472160281613469);
INSERT INTO note VALUES ('MAT1003L', 456789012, '2011P', 2, 19.6979187289252877);
INSERT INTO note VALUES ('MAT1003L', 456789012, '2011P', 3, 11.9298558030277491);
INSERT INTO note VALUES ('INF1002L', 456789012, '2011P', 1, 17.2007623966783285);
INSERT INTO note VALUES ('INF1002L', 456789012, '2011P', 2, 17.3389781499281526);
INSERT INTO note VALUES ('INF1002L', 456789012, '2011P', 3, 11.7846471024677157);
INSERT INTO note VALUES ('INF1003L', 456789012, '2011P', 1, 11.6410583350807428);
INSERT INTO note VALUES ('INF1003L', 456789012, '2011P', 2, 11.0362337529659271);
INSERT INTO note VALUES ('INF1003L', 456789012, '2011P', 3, 13.566186772659421);
INSERT INTO note VALUES ('TVL1008L', 456789012, '2011P', 1, 17.0570151647552848);
INSERT INTO note VALUES ('TVL1008L', 456789012, '2011P', 2, 18.1030114414170384);
INSERT INTO note VALUES ('TVL1008L', 456789012, '2011P', 3, 10.3486815141513944);
INSERT INTO note VALUES ('MAT1004L', 134567890, '2011P', 1, 16.1899667466059327);
INSERT INTO note VALUES ('MAT1004L', 134567890, '2011P', 2, 17.2412011213600636);
INSERT INTO note VALUES ('MAT1004L', 134567890, '2011P', 3, 11.6089276503771544);
INSERT INTO note VALUES ('MAT1003L', 134567890, '2011P', 1, 13.5289709083735943);
INSERT INTO note VALUES ('MAT1003L', 134567890, '2011P', 2, 12.546731592155993);
INSERT INTO note VALUES ('MAT1003L', 134567890, '2011P', 3, 13.3339730370789766);
INSERT INTO note VALUES ('INF1002L', 134567890, '2011P', 1, 14.5734653528779745);
INSERT INTO note VALUES ('INF1002L', 134567890, '2011P', 2, 16.7814056156203151);
INSERT INTO note VALUES ('INF1002L', 134567890, '2011P', 3, 10.3224954102188349);
INSERT INTO note VALUES ('INF1003L', 134567890, '2011P', 1, 10.4741884442046285);
INSERT INTO note VALUES ('INF1003L', 134567890, '2011P', 2, 13.1366615276783705);
INSERT INTO note VALUES ('INF1003L', 134567890, '2011P', 3, 18.4795333165675402);
INSERT INTO note VALUES ('TVL1008L', 134567890, '2011P', 1, 11.8036814127117395);
INSERT INTO note VALUES ('TVL1008L', 134567890, '2011P', 2, 16.5661008330062032);
INSERT INTO note VALUES ('TVL1008L', 134567890, '2011P', 3, 14.1425016243010759);
INSERT INTO note VALUES ('MAT1001L', 567890123, '2011P', 1, 4.96512024663388729);
INSERT INTO note VALUES ('MAT1001L', 567890123, '2011P', 2, 5.11955647729337215);
INSERT INTO note VALUES ('MAT1001L', 567890123, '2011P', 3, 3.44194267876446247);
INSERT INTO note VALUES ('INF1001L', 567890123, '2011P', 1, 10.9206703398376703);
INSERT INTO note VALUES ('INF1001L', 567890123, '2011P', 2, 8.61398853361606598);
INSERT INTO note VALUES ('INF1001L', 567890123, '2011P', 3, 2.83778013661503792);
INSERT INTO note VALUES ('TVL1004L', 567890123, '2011P', 1, 14.7803819458931684);
INSERT INTO note VALUES ('TVL1004L', 567890123, '2011P', 2, 3.01551333628594875);
INSERT INTO note VALUES ('TVL1004L', 567890123, '2011P', 3, 17.5157364457845688);
INSERT INTO note VALUES ('MAT1002L', 567890123, '2011P', 1, 18.3496761601418257);
INSERT INTO note VALUES ('MAT1002L', 567890123, '2011P', 2, 6.29763000644743443);
INSERT INTO note VALUES ('MAT1002L', 567890123, '2011P', 3, 19.588203951716423);
INSERT INTO note VALUES ('MAT1001L', 678901234, '2011P', 1, 5.48204970546066761);
INSERT INTO note VALUES ('MAT1001L', 678901234, '2011P', 2, 0.411660335958003998);
INSERT INTO note VALUES ('MAT1001L', 678901234, '2011P', 3, 15.7942268345504999);
INSERT INTO note VALUES ('INF1001L', 678901234, '2011P', 1, 6.17941274307668209);
INSERT INTO note VALUES ('INF1001L', 678901234, '2011P', 2, 12.7915938291698694);
INSERT INTO note VALUES ('INF1001L', 678901234, '2011P', 3, 10.2766290865838528);
INSERT INTO note VALUES ('TVL1004L', 678901234, '2011P', 1, 9.39726804383099079);
INSERT INTO note VALUES ('TVL1004L', 678901234, '2011P', 2, 19.8495356552302837);
INSERT INTO note VALUES ('TVL1004L', 678901234, '2011P', 3, 15.3700922708958387);
INSERT INTO note VALUES ('MAT1002L', 678901234, '2011P', 1, 16.0652141179889441);
INSERT INTO note VALUES ('MAT1002L', 678901234, '2011P', 2, 8.99646636098623276);
INSERT INTO note VALUES ('MAT1002L', 678901234, '2011P', 3, 8.93290350213646889);
INSERT INTO note VALUES ('MAT1001L', 789012345, '2011P', 1, 16.7102049477398396);
INSERT INTO note VALUES ('MAT1001L', 789012345, '2011P', 2, 9.94484325870871544);
INSERT INTO note VALUES ('MAT1001L', 789012345, '2011P', 3, 15.2062265574932098);
INSERT INTO note VALUES ('INF1001L', 789012345, '2011P', 1, 13.6692715808749199);
INSERT INTO note VALUES ('INF1001L', 789012345, '2011P', 2, 13.5522060841321945);
INSERT INTO note VALUES ('INF1001L', 789012345, '2011P', 3, 8.33842823281884193);
INSERT INTO note VALUES ('TVL1004L', 789012345, '2011P', 1, 1.95427482947707176);
INSERT INTO note VALUES ('TVL1004L', 789012345, '2011P', 2, 18.5173263400793076);
INSERT INTO note VALUES ('TVL1004L', 789012345, '2011P', 3, 13.4579847101122141);
INSERT INTO note VALUES ('MAT1002L', 789012345, '2011P', 1, 5.39621750824153423);
INSERT INTO note VALUES ('MAT1002L', 789012345, '2011P', 2, 9.43799667991697788);
INSERT INTO note VALUES ('MAT1002L', 789012345, '2011P', 3, 2.07197324372828007);
INSERT INTO note VALUES ('MAT1001L', 890123456, '2011P', 1, 8.2339976541697979);
INSERT INTO note VALUES ('MAT1001L', 890123456, '2011P', 2, 4.21837863512337208);
INSERT INTO note VALUES ('MAT1001L', 890123456, '2011P', 3, 5.08748658001422882);
INSERT INTO note VALUES ('INF1001L', 890123456, '2011P', 1, 5.74973409995436668);
INSERT INTO note VALUES ('INF1001L', 890123456, '2011P', 2, 2.56805479526519775);
INSERT INTO note VALUES ('INF1001L', 890123456, '2011P', 3, 11.3851165864616632);
INSERT INTO note VALUES ('TVL1004L', 890123456, '2011P', 1, 5.33793805167078972);
INSERT INTO note VALUES ('TVL1004L', 890123456, '2011P', 2, 8.05010450072586536);
INSERT INTO note VALUES ('TVL1004L', 890123456, '2011P', 3, 11.796776931732893);
INSERT INTO note VALUES ('MAT1002L', 890123456, '2011P', 1, 1.13216488622128963);
INSERT INTO note VALUES ('MAT1002L', 890123456, '2011P', 2, 14.2295172438025475);
INSERT INTO note VALUES ('MAT1002L', 890123456, '2011P', 3, 4.58837076090276241);
INSERT INTO note VALUES ('MAT1001L', 901234567, '2011P', 1, 11.4087939728051424);
INSERT INTO note VALUES ('MAT1001L', 901234567, '2011P', 2, 3.62678529694676399);
INSERT INTO note VALUES ('MAT1001L', 901234567, '2011P', 3, 4.43790641613304615);
INSERT INTO note VALUES ('INF1001L', 901234567, '2011P', 1, 6.77888624370098114);
INSERT INTO note VALUES ('INF1001L', 901234567, '2011P', 2, 19.691999414935708);
INSERT INTO note VALUES ('INF1001L', 901234567, '2011P', 3, 13.4343727864325047);
INSERT INTO note VALUES ('TVL1004L', 901234567, '2011P', 1, 15.71178974583745);
INSERT INTO note VALUES ('TVL1004L', 901234567, '2011P', 2, 16.4022043626755476);
INSERT INTO note VALUES ('TVL1004L', 901234567, '2011P', 3, 3.37921604514122009);
INSERT INTO note VALUES ('MAT1002L', 901234567, '2011P', 1, 10.9180163126438856);
INSERT INTO note VALUES ('MAT1002L', 901234567, '2011P', 2, 10.0714759528636932);
INSERT INTO note VALUES ('MAT1002L', 901234567, '2011P', 3, 16.9314221292734146);
INSERT INTO note VALUES ('MAT1001L', 234567890, '2010A', 1, 9.62822227273136377);
INSERT INTO note VALUES ('MAT1001L', 234567890, '2010A', 2, 6.0128753911703825);
INSERT INTO note VALUES ('MAT1001L', 234567890, '2010A', 3, 7.72437423467636108);
INSERT INTO note VALUES ('INF1001L', 234567890, '2010A', 1, 6.35721462778747082);
INSERT INTO note VALUES ('INF1001L', 234567890, '2010A', 2, 8.71098414994776249);
INSERT INTO note VALUES ('INF1001L', 234567890, '2010A', 3, 2.4433725792914629);
INSERT INTO note VALUES ('TVL1004L', 234567890, '2010A', 1, 7.39320124965161085);
INSERT INTO note VALUES ('TVL1004L', 234567890, '2010A', 2, 2.82798297703266144);
INSERT INTO note VALUES ('TVL1004L', 234567890, '2010A', 3, 4.55256189685314894);
INSERT INTO note VALUES ('MAT1002L', 234567890, '2010A', 1, 9.93694454431533813);
INSERT INTO note VALUES ('MAT1002L', 234567890, '2010A', 2, 5.70285002700984478);
INSERT INTO note VALUES ('MAT1002L', 234567890, '2010A', 3, 5.83658929448574781);


--
-- Data for Name: ue; Type: TABLE DATA; Schema: public; Owner: etudiant
--

INSERT INTO ue VALUES ('MAT1001L', 'Math I Analyse', 'De l''analyse, pour débuter', 'Mathématiques');
INSERT INTO ue VALUES ('INF1001L', 'LIF1 : Algorithmique et programmation', 'Initiation a la programmation', 'Informatique');
INSERT INTO ue VALUES ('TVL1004L', 'TR1 : UE transversale', 'Éducation Physique et Sportive (EPS),
Pratiques et Compétences Informatiques (PCI),
et “Projet professionnel” (PEL1).', 'DEVU');
INSERT INTO ue VALUES ('MAT1002L', 'Math I Algèbre ', 'Algèbre du débutant', 'Mathématiques');
INSERT INTO ue VALUES ('MAT1004L', 'Math II Algèbre ', 'Algèbre du moins débutant', 'Mathématiques');
INSERT INTO ue VALUES ('MAT1003L', 'Math II Analyse ', 'Analyse moins facile', 'Mathématiques');
INSERT INTO ue VALUES ('INF1002L', 'LIF2 : Bases physiques de l''informatique', 'Comment ça marche les ordinateurs', 'Informatique');
INSERT INTO ue VALUES ('INF1003L', 'LIF3 : Programmation fonctionnelle et récursive', 'Ca devient plus dur', 'Informatique');
INSERT INTO ue VALUES ('TVL1008L', 'TR2 : UE transversale', 'Langues vivantes, Éducation Physique et Sportive (EPS),
“Projet professionnel” (PEL2) et Recherche Documentaire.', 'DEVU');


--
-- Name: pk_departement; Type: CONSTRAINT; Schema: public; Owner: etudiant; Tablespace: 
--

ALTER TABLE ONLY departement
    ADD CONSTRAINT pk_departement PRIMARY KEY (nom);


--
-- Name: pk_enseignant; Type: CONSTRAINT; Schema: public; Owner: etudiant; Tablespace: 
--

ALTER TABLE ONLY enseignant
    ADD CONSTRAINT pk_enseignant PRIMARY KEY (nss);


--
-- Name: pk_enseigne; Type: CONSTRAINT; Schema: public; Owner: etudiant; Tablespace: 
--

ALTER TABLE ONLY enseigne
    ADD CONSTRAINT pk_enseigne PRIMARY KEY (ue, enseignant, semestre);


--
-- Name: pk_etudiant; Type: CONSTRAINT; Schema: public; Owner: etudiant; Tablespace: 
--

ALTER TABLE ONLY etudiant
    ADD CONSTRAINT pk_etudiant PRIMARY KEY (num);


--
-- Name: pk_inscription; Type: CONSTRAINT; Schema: public; Owner: etudiant; Tablespace: 
--

ALTER TABLE ONLY inscription
    ADD CONSTRAINT pk_inscription PRIMARY KEY (ue, etudiant, semestre);


--
-- Name: pk_note; Type: CONSTRAINT; Schema: public; Owner: etudiant; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT pk_note PRIMARY KEY (ue, etudiant, semestre, numero);


--
-- Name: pk_ue; Type: CONSTRAINT; Schema: public; Owner: etudiant; Tablespace: 
--

ALTER TABLE ONLY ue
    ADD CONSTRAINT pk_ue PRIMARY KEY (code);


--
-- Name: fk_ens_dpt; Type: FK CONSTRAINT; Schema: public; Owner: etudiant
--

ALTER TABLE ONLY enseignant
    ADD CONSTRAINT fk_ens_dpt FOREIGN KEY (departement) REFERENCES departement(nom);


--
-- Name: fk_enseigne_enseignant; Type: FK CONSTRAINT; Schema: public; Owner: etudiant
--

ALTER TABLE ONLY enseigne
    ADD CONSTRAINT fk_enseigne_enseignant FOREIGN KEY (enseignant) REFERENCES enseignant(nss);


--
-- Name: fk_enseigne_ue; Type: FK CONSTRAINT; Schema: public; Owner: etudiant
--

ALTER TABLE ONLY enseigne
    ADD CONSTRAINT fk_enseigne_ue FOREIGN KEY (ue) REFERENCES ue(code);


--
-- Name: fk_inscription_etudiant; Type: FK CONSTRAINT; Schema: public; Owner: etudiant
--

ALTER TABLE ONLY inscription
    ADD CONSTRAINT fk_inscription_etudiant FOREIGN KEY (etudiant) REFERENCES etudiant(num);


--
-- Name: fk_inscription_ue; Type: FK CONSTRAINT; Schema: public; Owner: etudiant
--

ALTER TABLE ONLY inscription
    ADD CONSTRAINT fk_inscription_ue FOREIGN KEY (ue) REFERENCES ue(code);


--
-- Name: fk_note_inscription; Type: FK CONSTRAINT; Schema: public; Owner: etudiant
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk_note_inscription FOREIGN KEY (ue, etudiant, semestre) REFERENCES inscription(ue, etudiant, semestre);


--
-- Name: fk_ue_dpt; Type: FK CONSTRAINT; Schema: public; Owner: etudiant
--

ALTER TABLE ONLY ue
    ADD CONSTRAINT fk_ue_dpt FOREIGN KEY (departement) REFERENCES departement(nom);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

